summaryrefslogtreecommitdiff
path: root/dev-ruby
diff options
context:
space:
mode:
Diffstat (limited to 'dev-ruby')
-rw-r--r--dev-ruby/parallel/Manifest3
-rw-r--r--dev-ruby/parallel/parallel-1.20.0.ebuild56
-rw-r--r--dev-ruby/parallel/parallel-1.22.0.ebuild (renamed from dev-ruby/parallel/parallel-1.19.2.ebuild)16
-rw-r--r--dev-ruby/rubyzip/rubyzip-2.3.2-r1.ebuild54
-rw-r--r--dev-ruby/shoulda-matchers/shoulda-matchers-3.1.3-r2.ebuild24
-rw-r--r--dev-ruby/shoulda-matchers/shoulda-matchers-4.5.1-r1.ebuild32
-rw-r--r--dev-ruby/shoulda-matchers/shoulda-matchers-5.0.0.ebuild4
-rw-r--r--dev-ruby/shoulda/shoulda-3.6.0-r2.ebuild33
8 files changed, 150 insertions, 72 deletions
diff --git a/dev-ruby/parallel/Manifest b/dev-ruby/parallel/Manifest
index b0d6a4b579da..6c76511e1265 100644
--- a/dev-ruby/parallel/Manifest
+++ b/dev-ruby/parallel/Manifest
@@ -1,4 +1,3 @@
-DIST parallel-1.19.2.tar.gz 21752 BLAKE2B aac6564ad95d8e366ad079854f22e7dcb149643db5792ee81c84c8c765185e367dedd0e635d2373aeefcd84997da89f9f9f4f6c398e753af4a1ddbf90e428dd0 SHA512 192ce4dc18ecb47522360d0d7022a9e20d72e90ad09889f1b7f29c20c74c980319956f316a35aad0fc7efcd8aac5a635da69eebcf78ba34659365df20e402c3c
-DIST parallel-1.20.0.tar.gz 20598 BLAKE2B f9e8626bf6430fffecd9aafb54e0c8c4b61f70dd58f7a2faee0e4c83c10c19d8eac419ab3e22fb75942a5c63f729d47d5e64683caa7f24bc304a1cb16862e18c SHA512 dc472a4792bea7b22b6613942a9c640437cb332d879406af2fad3de0f0529983ba92e6ee2e6f2d424e57695f238d44bf6987c6edc3ce5afca4b024b7501d9508
DIST parallel-1.20.1.tar.gz 20807 BLAKE2B 71f0894126837d71cdc3bf1ca7d4040d53dd88e0c917f29d3ebc940c1ff16bde42631aff50df455729a2a33df3e96de5dda5c9913d9ff4b1cde90ef1702883fa SHA512 cd0f6ad673fe432d48de77adc177181d48bcbf43e4c2a9f86b579bc1f7a9f520730ce68be010e6645b87c8ff755c83ccaf53ffd73631b0f239beb9e124b4d527
DIST parallel-1.21.0.tar.gz 21772 BLAKE2B 307d097629faf5c1967c0f189dc9703df481c763736242856c594dd99975193d81331654580ecce97b675591f8d9c543a2ccc769966d91ceb1ded7c3ec949ac9 SHA512 cd0bce1abe2cd53015fee7f8080e05bbcd80798fe0a6fa0e120776018a382260bd070d1a14085ef3e6d7fb16a79c6a05f438d4f8b228cce7461efe5a1395b530
+DIST parallel-1.22.0.tar.gz 23294 BLAKE2B 99bc41f132083402fe6ba9666d89941ce7672463c80676b8b558ce8a6915e996a1ec1d86476ab645796db79a63160677405c525c0696306dda270a54db1c8010 SHA512 2b993890234337e8eb1b22882423c8b2d73bfe7be386a7d2c9cf4f45620f3295f7c70b630b1607995e913d2307c043db658edb41b5c95f334f64bbd178cccf20
diff --git a/dev-ruby/parallel/parallel-1.20.0.ebuild b/dev-ruby/parallel/parallel-1.20.0.ebuild
deleted file mode 100644
index e49b4e4213b2..000000000000
--- a/dev-ruby/parallel/parallel-1.20.0.ebuild
+++ /dev/null
@@ -1,56 +0,0 @@
-# Copyright 1999-2020 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-
-USE_RUBY="ruby25 ruby26 ruby27"
-
-RUBY_FAKEGEM_RECIPE_TEST="rspec3"
-
-RUBY_FAKEGEM_EXTRAINSTALL="Readme.md"
-
-RUBY_FAKEGEM_GEMSPEC="parallel.gemspec"
-
-inherit ruby-fakegem
-
-DESCRIPTION="Run any code in parallel Processes or Threads"
-HOMEPAGE="https://github.com/grosser/parallel"
-LICENSE="MIT"
-SRC_URI="https://github.com/grosser/parallel/archive/v${PV}.tar.gz -> ${P}.tar.gz"
-
-KEYWORDS="~amd64"
-SLOT="1"
-IUSE="test"
-
-DEPEND+="test? ( sys-process/lsof sys-process/procps )"
-
-ruby_add_bdepend "
- test? ( dev-ruby/ruby-progressbar dev-ruby/activerecord:6.0 dev-ruby/sqlite3 )"
-
-each_ruby_prepare() {
- # Make sure the correct ruby is used for testing
- sed -e 's:ruby :'${RUBY}' :' -i spec/parallel_spec.rb || die
-}
-
-all_ruby_prepare() {
- sed -i -e 's/git ls-files/find/' ${RUBY_FAKEGEM_GEMSPEC} || die
- sed -i -e '/bundler/ s:^:#:' \
- -e '1i require "tempfile"; gem "activerecord", "~>6.0.0"' spec/cases/helper.rb || die
- sed -i -e '3irequire "timeout"' spec/spec_helper.rb || die
-
- # Avoid a failing spec regarding to pipes. The spec seems like it
- # should always fail.
- sed -e '/does not open unnecessary pipes/,/end/ s:^:#:' \
- -i spec/parallel_spec.rb || die
-
- # Avoid fragile ar sqlite tests. They throw ReadOnly errors every now and then.
- sed -i -e '/works with SQLite in/,/end/ s:^:#:' spec/parallel_spec.rb || die
-
- # Avoid spec broken on Ruby 2.1 that clearly doesn't match code and doesn't really test anything
- sed -i -e '/doesnt use Etc.nprocessors in Ruby 2.1 and below/,/end/ s:^:#:' spec/parallel_spec.rb || die
-}
-
-each_ruby_test() {
- # Set RUBYLIB explicitly for the ruby's that get started from the specs.
- TRAVIS=true RUBYLIB="lib" ${RUBY} -S rspec-3 spec || die
-}
diff --git a/dev-ruby/parallel/parallel-1.19.2.ebuild b/dev-ruby/parallel/parallel-1.22.0.ebuild
index e49b4e4213b2..7a798626bec6 100644
--- a/dev-ruby/parallel/parallel-1.19.2.ebuild
+++ b/dev-ruby/parallel/parallel-1.22.0.ebuild
@@ -1,9 +1,9 @@
-# Copyright 1999-2020 Gentoo Authors
+# Copyright 1999-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
-EAPI=7
+EAPI=8
-USE_RUBY="ruby25 ruby26 ruby27"
+USE_RUBY="ruby26 ruby27"
RUBY_FAKEGEM_RECIPE_TEST="rspec3"
@@ -18,7 +18,7 @@ HOMEPAGE="https://github.com/grosser/parallel"
LICENSE="MIT"
SRC_URI="https://github.com/grosser/parallel/archive/v${PV}.tar.gz -> ${P}.tar.gz"
-KEYWORDS="~amd64"
+KEYWORDS="~amd64 ~riscv"
SLOT="1"
IUSE="test"
@@ -38,16 +38,8 @@ all_ruby_prepare() {
-e '1i require "tempfile"; gem "activerecord", "~>6.0.0"' spec/cases/helper.rb || die
sed -i -e '3irequire "timeout"' spec/spec_helper.rb || die
- # Avoid a failing spec regarding to pipes. The spec seems like it
- # should always fail.
- sed -e '/does not open unnecessary pipes/,/end/ s:^:#:' \
- -i spec/parallel_spec.rb || die
-
# Avoid fragile ar sqlite tests. They throw ReadOnly errors every now and then.
sed -i -e '/works with SQLite in/,/end/ s:^:#:' spec/parallel_spec.rb || die
-
- # Avoid spec broken on Ruby 2.1 that clearly doesn't match code and doesn't really test anything
- sed -i -e '/doesnt use Etc.nprocessors in Ruby 2.1 and below/,/end/ s:^:#:' spec/parallel_spec.rb || die
}
each_ruby_test() {
diff --git a/dev-ruby/rubyzip/rubyzip-2.3.2-r1.ebuild b/dev-ruby/rubyzip/rubyzip-2.3.2-r1.ebuild
new file mode 100644
index 000000000000..c44bdc3a4f9b
--- /dev/null
+++ b/dev-ruby/rubyzip/rubyzip-2.3.2-r1.ebuild
@@ -0,0 +1,54 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+USE_RUBY="ruby26 ruby27 ruby30 ruby31"
+
+RUBY_FAKEGEM_RECIPE_DOC="none"
+RUBY_FAKEGEM_EXTRADOC="Changelog.md README.md TODO"
+
+RUBY_FAKEGEM_GEMSPEC="rubyzip.gemspec"
+
+RUBY_FAKEGEM_BINWRAP=""
+
+inherit ruby-fakegem
+
+DESCRIPTION="A ruby library for reading and writing zip files"
+HOMEPAGE="https://github.com/rubyzip/rubyzip"
+# Tests are not included in the gem.
+SRC_URI="https://github.com/rubyzip/rubyzip/archive/v${PV}.tar.gz -> ${P}-git.tgz"
+
+LICENSE="Ruby"
+SLOT="$(ver_cut 1)"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~riscv ~sparc ~x86"
+IUSE=""
+
+RDEPEND=""
+DEPEND="${DEPEND} test? ( app-arch/zip )"
+
+ruby_add_bdepend "test? ( dev-ruby/minitest:5 )"
+
+all_ruby_install() {
+ all_fakegem_install
+
+ docinto examples
+ dodoc samples/*
+}
+
+all_ruby_prepare() {
+ # Avoid dependencies on simplecov and coveralls
+ sed -i -e '/simplecov/ s:^:#:' test/test_helper.rb || die
+
+ # Avoid dependency on bundler
+ sed -i -e '/bundler/ s:^:#: ; /rubocop/I s:^:#:' Rakefile || die
+
+ # Fix hardcoded path to /tmp
+ sed -i -e 's:/tmp/:'${T}'/:g' test/entry_test.rb || die
+
+ # Add missing requires
+ sed -i -e '1irequire "forwardable"; require "pathname"' test/input_stream_test.rb || die
+
+ # Fix broken test that uses native endian
+ sed -i -e '/pack/ s/LLS/VVv/' test/file_extract_test.rb || die
+}
diff --git a/dev-ruby/shoulda-matchers/shoulda-matchers-3.1.3-r2.ebuild b/dev-ruby/shoulda-matchers/shoulda-matchers-3.1.3-r2.ebuild
new file mode 100644
index 000000000000..647c9076f618
--- /dev/null
+++ b/dev-ruby/shoulda-matchers/shoulda-matchers-3.1.3-r2.ebuild
@@ -0,0 +1,24 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+USE_RUBY="ruby26 ruby27 ruby30"
+
+RUBY_FAKEGEM_TASK_DOC=""
+
+RUBY_FAKEGEM_RECIPE_TEST=""
+
+RUBY_FAKEGEM_EXTRAINSTALL="NEWS.md README.md"
+
+inherit ruby-fakegem
+
+DESCRIPTION="Making tests easy on the fingers and eyes"
+HOMEPAGE="https://github.com/thoughtbot/shoulda-matchers"
+
+LICENSE="MIT"
+SLOT="3"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~riscv ~sparc ~x86"
+IUSE=""
+
+ruby_add_rdepend ">=dev-ruby/activesupport-4.0.0:*"
diff --git a/dev-ruby/shoulda-matchers/shoulda-matchers-4.5.1-r1.ebuild b/dev-ruby/shoulda-matchers/shoulda-matchers-4.5.1-r1.ebuild
new file mode 100644
index 000000000000..2353fb1f39ed
--- /dev/null
+++ b/dev-ruby/shoulda-matchers/shoulda-matchers-4.5.1-r1.ebuild
@@ -0,0 +1,32 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+USE_RUBY="ruby26 ruby27 ruby30"
+
+RUBY_FAKEGEM_RECIPE_TEST="none"
+
+RUBY_FAKEGEM_EXTRAINSTALL="CHANGELOG.md README.md"
+
+RUBY_FAKEGEM_GEMSPEC="${PN}.gemspec"
+
+RUBY_FAKEGEM_BINWRAP=""
+
+inherit ruby-fakegem
+
+DESCRIPTION="Making tests easy on the fingers and eyes"
+HOMEPAGE="https://github.com/thoughtbot/shoulda-matchers"
+SRC_URI="https://github.com/thoughtbot/shoulda-matchers/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="$(ver_cut 1)"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~sparc ~x86"
+IUSE=""
+
+ruby_add_rdepend ">=dev-ruby/activesupport-4.2.0:*"
+
+all_ruby_prepare() {
+ sed -i -e '/pry/ s:^:#:' spec/spec_helper.rb || die
+ #sed -i -e '/s.files/,/^ end/ s:^:#:' ${RUBY_FAKEGEM_GEMSPEC} || die
+}
diff --git a/dev-ruby/shoulda-matchers/shoulda-matchers-5.0.0.ebuild b/dev-ruby/shoulda-matchers/shoulda-matchers-5.0.0.ebuild
index bc21f9054e20..2353fb1f39ed 100644
--- a/dev-ruby/shoulda-matchers/shoulda-matchers-5.0.0.ebuild
+++ b/dev-ruby/shoulda-matchers/shoulda-matchers-5.0.0.ebuild
@@ -1,9 +1,9 @@
-# Copyright 1999-2021 Gentoo Authors
+# Copyright 1999-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
-USE_RUBY="ruby26 ruby27"
+USE_RUBY="ruby26 ruby27 ruby30"
RUBY_FAKEGEM_RECIPE_TEST="none"
diff --git a/dev-ruby/shoulda/shoulda-3.6.0-r2.ebuild b/dev-ruby/shoulda/shoulda-3.6.0-r2.ebuild
new file mode 100644
index 000000000000..6eb50ff9f0c3
--- /dev/null
+++ b/dev-ruby/shoulda/shoulda-3.6.0-r2.ebuild
@@ -0,0 +1,33 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+USE_RUBY="ruby26 ruby27 ruby30"
+
+RUBY_FAKEGEM_TASK_DOC=""
+RUBY_FAKEGEM_EXTRADOC="README.md"
+
+RUBY_FAKEGEM_GEMSPEC="${PN}.gemspec"
+
+inherit ruby-fakegem
+
+DESCRIPTION="Making tests easy on the fingers and eyes"
+HOMEPAGE="http://thoughtbot.com/projects/shoulda"
+SRC_URI="https://github.com/thoughtbot/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="3"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~sparc ~x86"
+IUSE=""
+
+# This now more or less a meta-gem and it only contains features for
+# integration tests using Appraisals, which we don't currently package.
+RESTRICT=test
+
+ruby_add_rdepend ">=dev-ruby/shoulda-context-1.0.1
+ dev-ruby/shoulda-matchers:3"
+
+all_ruby_prepare() {
+ sed -e '/executables/,/^ end/d ; /test_files/d; s/git ls-files/find * -print/' -i ${RUBY_FAKEGEM_GEMSPEC} || die
+}